- Primeros pasos
- Autenticación
- Ámbitos y permisos
- API de gestión de plataformas

Guía de la API de Test Cloud
Crear un nuevo grupo local
Crea un nuevo grupo local en el ID de organización especificado y añade los usuarios indicados.
Punto final de API
POST {accessURL}/{organizationName}/identity_/api/Group
Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:
| Cloud Platform | URL de acceso |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Sector Público | https://govcloud.uipath.us/ |
| Test Cloud Dedicado | https://{customURL}.dedicated.uipath.com/ |
Ámbitos
Necesita los siguientes ámbitos:
- PM.Group
- PM.Group.Write
Solicitar encabezados.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.
Solicitar cuerpo
El cuerpo de la solicitud contiene el ID de la organización a la que quieres añadir el grupo y, de manera opcional, los usuarios que quieres añadir como miembros en el nuevo grupo.
{
"partitionGlobalId": "string",
"id": "string",
"name": "string",
"directoryUserMemberIDs": [
"string", "string"
]
}
{
"partitionGlobalId": "string",
"id": "string",
"name": "string",
"directoryUserMemberIDs": [
"string", "string"
]
}
Respuesta
201 Successful
El grupo personalizado se crea en el organización indicado y obtiene un ID.
Solicitud de ejemplo
Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.
- Su
{baseURL}es: https://cloud.uipath.com/{organizationName}/identity_ - Tu
{access_token}es:1234(para consideraciones de longitud) - El
{partitionGlobalId}es:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Si quieres nombrar el grupo:
"Gryffindors" - Quieres añadir a los usuarios Ron, Harry y Hermione al grupo. Estos usuarios tienen los siguientes ID de usuario:
- Ron utiliza el identificador
ron-0103 - Identificador de Harry usuario:
har-3107 - El identificador de usuario de Hermione es
her-1909
- Ron utiliza el identificador
La llamada debe parecerse al siguiente ejemplo (cURL):
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Group' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId":"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"Gryffindors",
"id": "gryff-01",
"directoryUserMemberIDs":
["ron-0103", "har-3107", "her-1909"]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Group' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId":"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"Gryffindors",
"id": "gryff-01",
"directoryUserMemberIDs":
["ron-0103", "har-3107", "her-1909"]
}'
Esta es la respuesta para una llamada exitosa:
{
"id": "gryff-01",
"name": "Gryffindors",
"displayName": "Gryffindors",
"type": 1,
"creationTime": "2021-10-19T15:37:49.1853184",
"lastModificationTime": null,
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Hermione Granger",
"source": "local",
"identifier": "her-1909",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": ""student"",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Harry Potter",
"source": "local",
"identifier": "har-3107",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ron-0103",
"name": "Ron",
"email": "ron@hogwarts.com"
}
]
}
{
"id": "gryff-01",
"name": "Gryffindors",
"displayName": "Gryffindors",
"type": 1,
"creationTime": "2021-10-19T15:37:49.1853184",
"lastModificationTime": null,
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Hermione Granger",
"source": "local",
"identifier": "her-1909",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": ""student"",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Harry Potter",
"source": "local",
"identifier": "har-3107",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ron-0103",
"name": "Ron",
"email": "ron@hogwarts.com"
}
]
}